curl --request PUT \
--url https://api.virtuoussoftware.com/api/Tribute/{tributeId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tributeType": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"contactIndividualId": "<integer>",
"defaultAcknowledgeeIndividualId": "<integer>"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tributeType: '<string>',
firstName: '<string>',
lastName: '<string>',
address1: '<string>',
address2: '<string>',
city: '<string>',
state: '<string>',
postalCode: '<string>',
contactIndividualId: '<integer>',
defaultAcknowledgeeIndividualId: '<integer>'
})
};
fetch('https://api.virtuoussoftware.com/api/Tribute/{tributeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Tribute/{tributeId}"
payload = {
"tributeType": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"contactIndividualId": "<integer>",
"defaultAcknowledgeeIndividualId": "<integer>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Tribute/{tributeId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"tributeType\": \"<string>\",\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"address1\": \"<string>\",\n \"address2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"postalCode\": \"<string>\",\n \"contactIndividualId\": \"<integer>\",\n \"defaultAcknowledgeeIndividualId\": \"<integer>\"\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/Tribute/{tributeId}';
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tributeType: '<string>',
firstName: '<string>',
lastName: '<string>',
address1: '<string>',
address2: '<string>',
city: '<string>',
state: '<string>',
postalCode: '<string>',
contactIndividualId: '<integer>',
defaultAcknowledgeeIndividualId: '<integer>'
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 750001,
"tributeType": "In Honor Of",
"firstName": "Marcus",
"lastName": "Castellano",
"address1": "219 Oak Hill Drive",
"address2": null,
"city": "Springfield",
"state": "OR",
"postalCode": "97478",
"defaultAcknowledgeeIndividualId": 200234,
"defaultAcknowledgeeIndividualUrl": "https://api.virtuoussoftware.com/api/ContactIndividual/200234",
"createDateTimeUtc": "2025-09-01T10:00:00Z",
"createdByUser": "Development Team",
"modifiedDateTimeUtc": "2025-11-15T17:10:00Z",
"modifiedByUser": "Partner Integration"
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Update a Tribute
Similar to other update methods in the API, excluding a property will remove its value from the object. If you’re only updating a single property, the entire model is still required.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
(Required) The tribute identifier.
Body
Whether the gift is given In Honor Of or In Memory Of the tribute.
The first name of the individual.
The last name of the individual.
The first line of the street address.
The second line of the street address.
The city of the address.
The state or province of the address.
The postal or ZIP code of the address.
The identifier of the contact individual this record belongs to.
Response
OK
The unique identifier of the record in Virtuous.
The UTC date and time the record was created.
The name of the user who created the record.
The UTC date and time the record was last modified.
The name of the user who last modified the record.
Was this page helpful?